JDA 4 - Document Automation for eSuite and JustWare
Name: JDA 4 Editor
Version: 4.1.0.11
Publisher: Journal Technologies, Inc.
The following prerequisites are required:
  • .NET Framework 2.0, 3.0, 3.5, 4.0, 4.6.1
 

Click the button below to install the prerequisites and run the application.

 
Install
 
Login Information:
Server: https://training.journaltech.com/JDATwo
Journal Technologies, Inc.